/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_p.c                                             :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angouleme.fr  +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/11/09 16:38:34 by cchauvet          #+#    #+#             */
/*   Updated: 2022/11/28 18:15:41 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "pushswap.h"

void	ft_p(int *tab_src, int *tab_dst)
{
	int	size_src;
	int	size_dst;

	size_src = ft_tablen(tab_src);
	size_dst = ft_tablen(tab_dst);
	if (size_src == 0)
		return ;
	tab_dst[size_dst] = tab_src[size_src - 1];
	tab_dst[size_dst + 1] = -1;
	tab_src[size_src - 1] = -1;
}

void	ft_pb(int *tab_a, int *tab_b)
{
	ft_p(tab_b, tab_a);
	ft_putstr("pb");
}

void	ft_pa(int *tab_a, int *tab_b)
{
	ft_p(tab_a, tab_b);
	ft_putstr("pa");
}
